CARGO-OWNER(1)

NAME

cargo-owner - Manage the owners of a crate of the registry

SYNOPSIS

cargo owner [OPTIONS] [<CRATE>]

DESCRIPTION

This command will modify the owners for a package on the specified registry (or default). Note that owners of a package can upload new versions, and yank old versions. Explicitly named owners can also modify the set of owners, so take caution!

OPTIONS

-h, --help
    Print this message.

-a, --add LOGIN
    Name of a user or team to add as an owner.

-r, --remove LOGIN
    Name of a user or team to remove as an owner.

-l, --list
    List owners of a crate.

--index INDEX
    Registry index to modify owners for.

-v, --verbose
    Use verbose output.

-q, --quiet
    No output printed to stdout.

--color WHEN
    Coloring: auto, always, never.

EXAMPLES

Add user as an owner of the current package

    $ cargo owner --add user

Remove user as an owner of the current package

    $ cargo owner --remove user

Use a certain API token to authenticate with

    $ cargo owner --token U6WHXacP3Qqwd5kze1fohr4JEOmGCuRK2

SEE ALSO

cargo(1), cargo-publish(1), cargo-login(1)

COPYRIGHT

This work is dual-licensed under Apache 2.0 and MIT terms. See COPYRIGHT file in the cargo source distribution.